# $Revision: 1.28 $, $Date: 2003/11/26 12:33:58 $
Summary:	[X]Emacs/W3 World Wide Web browser
Summary(pl):	Przegldarka WWW pod [X]Emacsa
Name:		xemacs-w3-pkg
%define 	srcname	w3
Version:	1.29
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	088e276b855e95b2032aa58160ffeba2
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Requires:	xemacs
Requires:	xemacs-mail-lib-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	xemacs-sumo

%description
Emacs/W3 provides some core functionality that can be readily re-used
from any program in Emacs. Users and other package writers are
encouraged to Web-enable their applications and daily work routines
with the library.

Emacs/W3 is completely customizable, both from Emacs-Lisp and from
stylesheets. If there is any aspect of Emacs/W3 that cannot be
modified to your satisfaction, please send mail to the
w3-beta@@xemacs.org mailing list with any suggestions.

%description -l pl
Emacs/W3 dodaje podstawow funkcjonalno, ktra moe by uywana
przez dowolny program w Emacsie. Uytkownicy i autorzy innych pakietw
s zachcani do @i{Web-enable} swoich aplikacji.

Emacs/W3 jest cakowicie konfigurowalny, zarwno z Emacs-Lispa jak i
styli.

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/w3; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info


# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/w3/{README.VMS,README,INSTALL,ChangeLog}
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-w3-pkg.spec,v $
Revision 1.28  2003/11/26 12:33:58  speedy
updated to  1.29

Revision 1.27  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.26  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/11/21 17:00:41  mis
- autoupdated to 1.26

Revision 1.23  2002/11/07 13:28:39  qboosh
- don't require self

Revision 1.22  2002/07/06 14:00:50  kloczek
- updated to 1.25 (bug fix release) and use new %doc.

Revision 1.21  2002/07/04 07:41:49  kloczek
- updated to 1.23 (bug fixes).

Revision 1.20  2002/04/19 11:01:08  wiget
updated to 1.22

Revision 1.19  2002/04/14 12:26:59  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.18  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/27 19:28:52  kloczek
- updated to 1.21 (bugfix release).

Revision 1.16  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/20 13:43:39  qboosh
- pl description, release 2

Revision 1.14  2001/08/02 08:49:20  mis
- autoupdated to 1.20

Revision 1.13  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/05/20 12:07:31  kloczek
- ready to build (need pl %description).

Revision 1.10  2001/02/13 18:51:01  mis
- updated to 1.18

Revision 1.9  2000/11/29 13:35:24  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:06:24  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
